GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
      Get Open PositionsGet Account MarginGet Funding AmountGet Funding Amount Report FileList Funding PaymentsGet Funding Payment Report FileGet Funding Payment Report JSONGet Risk Stats
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Funding Payment Report File

TradingDerivativesGet Funding Payment Report File

Get Funding Payment Report File

POSThttps://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.xlsx

Downloads a funding payment report as an Excel file for the authenticated account and the specified date range.

POSTv1/perpetuals/fundingpaymentreport/records.xlsx
curl --request POST \
  --url 'https://api.gemini.com/v1/perpetuals/fundingpaymentreport/records.xlsx?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000' \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/perpetuals/fundingpaymentreport/records.xlsx",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have orders:read assigned to access this endpoint. See OAuth Scopes for more information.

Examples

  • Code
    fromDate=2024-04-10&toDate=2024-04-25&numRows=1000
    — returns the lesser of the date-range record count and
    Code
    numRows
    .
  • Code
    fromDate=2024-04-10&toDate=2024-04-25
    — returns all records in the date range.
  • Code
    numRows=1000
    — returns up to 1000 records starting from now.
  • No parameters — returns the default maximum of 8760 records starting from now.

Query Parameters

fromDatestring
If empty, will only fetch records by numRows value.
toDatestring
If empty, will only fetch records by numRows value.
numRowsinteger
If empty, default value '8760'

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/perpetuals/fundingpaymentreport/records.xlsx
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/perpetuals/fundingpaymentreport/records.xlsx?fromDate=2024-04-10&toDate=2024-04-25&numRows=1000",
  "nonce": "<nonce>"
}

Responses

XLSX file downloaded containing funding payment report.

PreviousList Funding PaymentsNextGet Funding Payment Report JSON
Last modified on May 5, 2026